function Residual= R(obj,U)
global Ck
%Input geometrical data
 R=10;      %mechanism radius
 alpha=90*pi/180; %angle AiOBi expressed in radius
 xw=0; yw=0;   %fixed abcissa and ordinate for the centroid X of the platform
%The Diamanlab unknown U=(X,zw) is split as follows
 zw=U(7);     %Height of the centroid X of the platform, continuation parameter
 X(1:6)=U(1:6);  %output coordinates X
if isa(U,'Taylor')
  Residual=Taylor(get(U,'order'),zeros(get(obj,'neq'),1));
else
  Residual=zeros(get(obj,'neq'),1);
end
format long
%Local geometrical parameters
 L=2*R*sin(alpha/2);            %leg chord
 alpha1=alpha; alpha2=alpha; alpha3=alpha; %angles AiOBi (all equal, here)
%projection of the ith cord on the x- and y_axis, respectively
 L1x=R*sin(alpha1); L1y=2*R*(sin(alpha1/2))^2; %independent from zw
 L2x=R*sin(alpha2); L2y=2*R*(sin(alpha2/2))^2;
 L3x=R*sin(alpha3); L3y=2*R*(sin(alpha3/2))^2;
%Equation (2): Coordinates of B1
 xB1=R-L1y*cos(X(2));
 yB1=(L1x*cos(X(1))-L1y*sin(X(2))*sin(X(1)));
 zB1=L1x*sin(X(1))+L1y*sin(X(2))*cos(X(1));
%Equation (2): Coordinates of B2
 xB2=(R-L2y*cos(X(4)))*cos(2*pi/3)-(L2x*cos(X(3))-L1y*sin(X(4))*sin(X(3)))*sin(2*pi/3);
 yB2=(L2x*cos(X(3))-L2y*sin(X(4))*sin(X(3)))*cos(2*pi/3)+(R-L2y*cos(X(4)))*sin(2*pi/3);
 zB2=L2x*sin(X(3))+L2y*sin(X(4))*cos(X(3));
%Equation (2): Coordinates of B3
 xB3=(R-L3y*cos(X(6)))*cos(4*pi/3)-(L3x*cos(X(5))-L3y*sin(X(6))*sin(X(5)))*sin(4*pi/3);
 yB3=(L3x*cos(X(5))-L3y*sin(X(6))*sin(X(5)))*cos(4*pi/3)+(R-L3y*cos(X(6)))*sin(4*pi/3);
 zB3=L3x*sin(X(5))+L3y*sin(X(6))*cos(X(5));
%Distances between the spherical joint centers
 d12=sqrt((xB1-xB2)^2+(yB1-yB2)^2+(zB1-zB2)^2); %||B1B2||
 d23=sqrt((xB3-xB2)^2+(yB3-yB2)^2+(zB3-zB2)^2); %||B1B2||
 d13=sqrt((xB3-xB1)^2+(yB3-yB1)^2+(zB3-zB1)^2); %||B1B3|| 
%Equation (1)
%Coordinates of the centroid G of the triangle B1B2B3
 xG=(xB1+xB2+xB3)/3; yG=(yB1+yB2+yB3)/3; zG=(zB1+zB2+zB3)/3;
%Calculation of the 6 components of the residual
%Constraint (3): ||B1B2||=||B2B3||=||B1B3||=sqrt(3)*R 
 Residual(1)=d12-sqrt(3)*R; Residual(2)=d23-sqrt(3)*R; Residual(3)=d13-sqrt(3)*R;
%Constraint imposing G=X
 Residual(4)=xG-xw;     Residual(5)=yG-yw;     Residual(6)=zG-zw;  
end
