%
% Bratu problem
% 
% References : 
% [1] Doedel, Keller, Kernevez (1991). 
%     Numerical analysis and control of bifurcation. 
%     Bifurcation and Chaos 1, 493-520.
% [2] Cochelin, Damil, Potier-ferry (2007). 
%     Methode Asymptotique Numerique. 
%     Hermes.
% [3] Charpentier (2012).
%     On higher-order differentiation in nonlinear mechanics.
%     Optimization Methods and Software 27, --.
%
% Bratu continuous equations:
%   find U(x)=(u(x),lambda)) such that
%   u(x)'' + lambda exp(u(x)) = 0 in (0,1), u(0)=u(1)=0.
%
% Bratu discrete equations: (example with 9 point mesh : ninc=10)
% Interval (0,1) is divided in 10 subinterval 0 x1 x2   ... x9  1
% Laplacian is discretized using a central finite difference scheme
%   find  u1=u(x1),u2=u(x2), ... u9=u(x9) such that
%     -2u1 + u2                        + lambda exp(u1) =0
%       u1 -2u2 + u3                   + lambda exp(u2) =0
%                  ...
%                      u7 -2u8 + u9    + lambda exp(u8) =0
%                           u8 -2u9    + lambda exp(u9) =0
%
% The unknown is U=(u1,...u9,lambda)


close all
clear all
ninc=30;                           
Diamanlab('sys'     ,BRATU(ninc), ...
          'order'   ,20, ...
          'U0value' ,zeros(ninc,1), ...
          'displayvariables',[ninc, ninc/2]);      % DiaMANLAB run
