function R1 = R(obj,U) 
% Brusselator (Seydel, 1994)

    neq=get(obj,'neq');
    if isa(U,'Taylor')
        R1 = Taylor(get(U,'order'),zeros(neq,1));
    else
        R1 =zeros(neq,1);
    end 

u1=U(1); u2=U(2); u3=U(3); u4=U(4); u5=U(5); u6=U(6); ulam=U(7);
R1(1)=2-7*u1 + u1*u1*u2 +    ulam*(u3-u1);  
R1(2)=  6*u1 - u1*u1*u2 + 10*ulam*(u4-u2);
R1(3)=2-7*u3 + u3*u3*u4 +    ulam*(u1+u5-2*u3);
R1(4)=  6*u3 - u3*u3*u4 + 10*ulam*(u2+u6-2*u4);
R1(5)=2-7*u5 + u5*u5*u6 +    ulam*(u3-u5);
R1(6)=  6*u5 - u5*u5*u6 + 10*ulam*(u4-u6);
