function R= R(obj,U)
 
Nz   =obj.Nz;
Nmu  =obj.Nmu;
Nbc  =obj.Nbc;
Nelmt=obj.Nelmt;
Npoly=obj.Npoly;
ninc =obj.ninc;

P     =obj.P;
Pprime=obj.Pprime;

lambda=U(ninc);

Nzd =(Npoly*Nelmt+1)*Nz;
mu = U(Nzd+1:Nzd+Nmu);

L=1.;

s=zeros(Npoly*Nelmt,1);  % Gauss point coordinates along the interval [0,1]
s_ele=[(1-sqrt(3/5))/2  ; 1/2 ; (1+sqrt(3/5))/2]*(1/Nelmt);
p1=1;
for i=1:Nelmt
 s(p1:p1+2)=(1/Nelmt)*(i-1)+s_ele;
 p1=p1+Npoly;
end 

Ry=mu(1);
l=mu(2);

Neqc =Npoly*Nelmt*Nz; % Number of collocation equation


neq=get(obj,'neq');  % neq : number of discrete equation
if isa(U,'Taylor')
  norder=get(U,'order');
  R = Taylor(norder,zeros(neq,1));
  x = Taylor(norder,zeros(Nelmt*Npoly,1)) ; xp=Taylor(norder,zeros(Nelmt*Npoly,1));
  y = Taylor(norder,zeros(Nelmt*Npoly,1)) ; yp=Taylor(norder,zeros(Nelmt*Npoly,1)); 
  theta = Taylor(norder,zeros(Nelmt*Npoly,1)) ; thetapp=Taylor(norder,zeros(Nelmt*Npoly,1));
  m = Taylor(norder,zeros(Nelmt*Npoly,1)) ; mp=Taylor(norder,zeros(Nelmt*Npoly,1)); 
else
  R=zeros(neq,1);
  x=zeros(Nelmt*Npoly,1) ; xp=zeros(Nelmt*Npoly,1) ;
  y=zeros(Nelmt*Npoly,1) ; yp=zeros(Nelmt*Npoly,1) ; 
  theta=zeros(Nelmt*Npoly,1) ; thetap=zeros(Nelmt*Npoly,1) ; 
  m=zeros(Nelmt*Npoly,1) ; mp=zeros(Nelmt*Npoly,1) ; 
end 

% values at sample point
x_N    =U(1:Nz:Nzd);
y_N    =U(2:Nz:Nzd);
theta_N=U(3:Nz:Nzd);
m_N    =U(4:Nz:Nzd);

% values at Gauss point
iG=1; 
iN=1;
for i=1:Nelmt
LG= iG:iG+(Npoly-1);
LN= iN:iN+Npoly;
iG=iG+Npoly; 
iN=iN+Npoly;

x(LG)    = P*x_N(LN)     ; xp(LG)   = Pprime*x_N(LN);
y(LG)    = P*x_N(LN)     ; yp(LG)   = Pprime*y_N(LN);
theta(LG)= P*theta_N(LN) ; thetap(LG)= Pprime*theta_N(LN);
m(LG)    = P*m_N(LN)     ; mp(LG)    = Pprime*m_N(LN) ;
end
  
%Residual equations 
fy=1;                      % body load on s=[0,1]

R(1:Nz:Neqc)=xp    -l*cos(theta);
R(2:Nz:Neqc)=yp    -l*sin(theta);
R(3:Nz:Neqc)=thetap-l*m;
R(4:Nz:Neqc)=mp    -4*pi^2*l*(-Ry*sin(U(Nzd-1))*sin(theta)  -(lambda*(1-s)+ones(Npoly*Nelmt,1)*Ry*cos(U(Nzd-1))).*cos(theta));

%boundary conditions xs(0)
R(Neqc+1)=U(1);                % x(0)=0
R(Neqc+2)=U(2);                % y(0)=0
R(Neqc+3)=U(3);                % theta(0)=0
%boundary condition xs(1) 
c1=-0.3;
c2=0.02  ;
R(Neqc+4)=U(Nzd-Nz+2)  - (c2*cos(2*pi*U(Nzd-Nz+1))+c1);      % y(1)=(c2*cos(2*pi*x(1))+c1)    
R(Neqc+5)=U(Nzd-Nz+3)  + (c2*2*pi*sin(2*pi*U(Nzd-Nz+1)))  ;  % theta(1)=
R(Neqc+6)=U(Nzd-Nz+4)  + (c2*4*pi^2*cos(2*pi*U(Nzd-Nz+1)));  % m(1)=0


