function R= R(obj,U)
 
Nz   =obj.Nz;
Nmu  =obj.Nmu;
Nbc  =obj.Nbc;
Nelmt=obj.Nelmt;
Npoly=obj.Npoly;
ninc =obj.ninc;

P     =obj.P;
Pprime=obj.Pprime;

lambda=U(ninc);

Nzd =(Npoly*Nelmt+1)*Nz;
mu = U(Nzd+1:Nzd+Nmu);

Fx=mu(1);
Fy=mu(2);
f=mu(3);

Neqc =Npoly*Nelmt*Nz; % Number of collocation equation


neq=get(obj,'neq');  % neq : number of discrete equation
if isa(U,'Taylor')
  norder=get(U,'order');
  R = Taylor(norder,zeros(neq,1));
  x = Taylor(norder,zeros(Nelmt*Npoly,1)) ; xp=Taylor(norder,zeros(Nelmt*Npoly,1));
  y = Taylor(norder,zeros(Nelmt*Npoly,1)) ; yp=Taylor(norder,zeros(Nelmt*Npoly,1)); 
  theta = Taylor(norder,zeros(Nelmt*Npoly,1)) ; thetap=Taylor(norder,zeros(Nelmt*Npoly,1));
  m = Taylor(norder,zeros(Nelmt*Npoly,1)) ; mp=Taylor(norder,zeros(Nelmt*Npoly,1)); 
else
  R=zeros(neq,1);
  x=zeros(Nelmt*Npoly,1) ; xp=zeros(Nelmt*Npoly,1) ;
  y=zeros(Nelmt*Npoly,1) ; yp=zeros(Nelmt*Npoly,1) ; 
  theta=zeros(Nelmt*Npoly,1) ; thetap=zeros(Nelmt*Npoly,1) ; 
  m=zeros(Nelmt*Npoly,1) ; mp=zeros(Nelmt*Npoly,1) ; 
end 

% values at sample point
x_N    =U(1:Nz:Nzd);
y_N    =U(2:Nz:Nzd);
theta_N=U(3:Nz:Nzd);
m_N    =U(4:Nz:Nzd);

L=1.;
s_N=[ 0:L/(Npoly*Nelmt): L ]';
s=zeros(Nelmt*Npoly,1);

% values at Gauss point
iG=1; 
iN=1;
for i=1:Nelmt
LG= iG:iG+(Npoly-1);
LN= iN:iN+Npoly;
iG=iG+Npoly; 
iN=iN+Npoly;

x(LG)    = P*x_N(LN)     ; xp(LG)   = Pprime*x_N(LN);
y(LG)    = P*x_N(LN)     ; yp(LG)   = Pprime*y_N(LN);
theta(LG)= P*theta_N(LN) ; thetap(LG)= Pprime*theta_N(LN);
m(LG)    = P*m_N(LN)     ; mp(LG)    = Pprime*m_N(LN) ;

s(LG)    =P*s_N(LN);
end;
  
%Residual equations
R(1:Nz:Neqc)=xp-cos(theta);
R(2:Nz:Neqc)=yp-sin(theta);
R(3:Nz:Neqc)=thetap-m;
R(4:Nz:Neqc)=mp -4*pi^2*(Fx*sin(theta) - Fy*cos(theta));

%boundary conditions s(0)
R(Neqc+1)=U(1);                % x(0)=0
R(Neqc+2)=U(2);                % y(0)=0
R(Neqc+3)=U(3);                % theta(0)=0
%boundary condition s(1)  
R(Neqc+4)=U(Nzd-Nz+4)-2*pi*lambda ;        % m(1)=2pi lambda

xc=0.;
yc=1.5;
ray=1.0;
x1=U(Nzd-Nz+1);
y1=U(Nzd-Nz+2);
dc=sqrt((x1-xc)*(x1-xc) + (y1-yc)*(y1-yc) ); 
R(Neqc+5)= Fx - f*(x1-xc)/dc;
R(Neqc+6)= Fy - f*(y1-yc)/dc;
R(Neqc+7)= (dc-ray)*f ;  % contact







