function [ obj ] = CurPointJump( obj, sys, params )
%Jump from one point to another

disp('Select the jump point');
figure(2); [xjump,yjump] = ginput(1);

U0now=obj.CurPoint.U0now;
Utnow=obj.CurPoint.Utnow;

idx = params.dispvars(params.activecurve,1); 
idy = params.dispvars(params.activecurve,2);
xdep = U0now(idx); ydep = U0now(idy);

% Normalisation and orientation of the printed tangent
Utnow = Utnow/sqrt((Utnow(idx)^2+Utnow(idy)^2));
scal = (xjump-xdep)*Utnow(idx) + (yjump-ydep)*Utnow(idy);
if scal < 0, Utnow = -Utnow; end
% Effective jump
jump_length = sqrt((xjump-xdep)^2+(yjump-ydep)^2);
U0now = U0now + jump_length*Utnow;

disp('Correction to go back on the branch of solution...');
U0now = NRcorrection(sys, U0now); 
Utnow = tangentvector(sys,U0now,Jacobian(sys,U0now));

obj.CurPoint.U0now=U0now;
obj.CurPoint.Utnow=Utnow;
obj.CurPoint.Status='regular';
