classdef Syst
    
properties
   ninc  = 0;            %unknown number
   name  = '';
   order = 20;           % default serie truncature order
   ANMthreshold =1e-6;   % default ANM theshold
   NRitemax = 25;        % default max number of N-R iterations
   NRthreshold= 2e-5;    % default threshold for N-R corrections 
   NRmethod = 1;
   neq = 0;              % number of equations
   randvect=0;           % random vector used in the determination of the tangent vector
   arclengthdef = 0;     % default path vector 
   strinfos='';
   type=''
end

methods    
   function sys = Syst(varargin)
% Constructor of the SYS class objects
    propertyArgin = varargin;
    while length(propertyArgin) >=2
            prop = propertyArgin{1};
            val=propertyArgin{2};
            propertyArgin=propertyArgin(3:end);
            switch prop
                case 'ninc'
                    sys.ninc=val;
                case 'name'
                    sys.name=val;
                case 'order'
                    sys.order=val;
                case 'ANMthreshold'
                    sys.ANMthreshold=val;
                case 'NRthreshold'
                    sys.NRthreshold=val;
                case 'NRmethod'
                    sys.NRmethod=val;
                case 'NRitemax'
                    sys.NRitemax=val;
                case 'type'
                    sys.type = val;
            end
     end   

        sys.neq  = sys.ninc-1;         % number of equations
        sys.randvect = rand(1,sys.ninc);  % random vector used in the determination of the tangent vector
        sys.arclengthdef = ones(sys.ninc,1);    % default path vector 

        sys.strinfos = ['SYS : nequation =' num2str(sys.neq) ' nunknowns=' num2str(sys.ninc) ];
        disp(sys.strinfos);
    end
end
end



